﻿package 
{
	import com.divillysausages.gameobjeditor.Editor;
	import flash.display.Sprite;
	import flash.events.Event;
	
	public class Main extends Sprite 
	{
		private var m_ball:Ball = null;
		
		CONFIG::debug
		{
			// we define the editor variable in a conditional block as well, as
			// otherwise, it'll still be included when we compile. The import
			// we can ignore as Flash strips out all imports that aren't used
			// in the project
			private var m_editor:Editor	= null;
		}
		
		public function Main():void 
		{			
			// create our editor
			CONFIG::debug
			{
				// this is using the AS3 Game Object Editor
				// http://code.google.com/p/as3-game-object-editor/
				this.m_editor = new Editor( this.stage );
				this.m_editor.registerClass( Ball );
				this.m_editor.visible = true;
			}
			
			// create and add our ball
			this.m_ball = new Ball;
			this.addChild( this.m_ball );
		}
		
	}
	
}